CanvasGraphInternal Namespace Reference

Internal: the structures of a CanvasGraph. More...

## Classes
struct | Shape
| Internal: the shape of a CanvasGraph. More...
struct | LocalTransform
| Internal: the local state of a CanvasGraph. More...
struct | State
| Internal: the state of a CanvasGraph. More...
class | SubDocument
| Internal: the subdocument of a CanvasGraph. More...

## Functions
MWAWVec2f | getOffsetPoint (std::vector< MWAWVec2f > const &vertices, size_t id, float offset)
| Internal: given a list of vertices, an indice and an offset computes a new point.
std::vector< MWAWVec2f > | smoothPoints (std::vector< MWAWVec2f > const &vertices)
| Internal: try to smooth a list of points.

## Detailed Description

Internal: the structures of a CanvasGraph.

## Function Documentation

## ◆ getOffsetPoint()

MWAWVec2f CanvasGraphInternal::getOffsetPoint | ( | std::vector< MWAWVec2f > const & | vertices,
|  | size_t | id,
|  | float | offset )

Internal: given a list of vertices, an indice and an offset computes a new point.

Referenced by CanvasGraph::sendMultiLines().

## ◆ smoothPoints()

std::vector< MWAWVec2f > CanvasGraphInternal::smoothPoints | ( | std::vector< MWAWVec2f > const & | vertices | ) |

Internal: try to smooth a list of points.

Referenced by CanvasGraph::sendMultiLines().